Bug 117912 - libtool calls gcc with -o and -c options. gcc doesn't like this.
Summary: libtool calls gcc with -o and -c options. gcc doesn't like this.
Status: CLOSED DUPLICATE of bug 112771
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: httpd   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-09 22:52 UTC by Dan Pritts
Modified: 2015-01-08 00:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 19:01:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
configure command line & make output (1.40 KB, text/plain)
2004-03-09 22:53 UTC, Dan Pritts
no flags Details

Description Dan Pritts 2004-03-09 22:52:27 UTC
Description of problem:

RHEL 3 ES, ran up2date today (2003-03-09).  

Building apache jakarta tomcat connectors 4.1.30.  

available from: 
http://apache.mirrors.hoobly.com/jakarta/tomcat-4/v4.1.30/src/jakarta-tomcat-connectors-4.1.30-src.tar.gz

Want to build the jk version 1 connector in jk/native

I run the configure script, run make, and gcc dies with 
gcc: cannot specify -o with -c or -S and multiple compilations

Note that to produce the output that i attached to this bug i modified
the file jk/native/common/Makefile to remove the --silent option from
libtool.

On my RH9 desktop, this build runs successfully. 

RH9 desktop (success):
~@wrx% rpm -q httpd-devel httpd gcc libtool
httpd-devel-2.0.40-21.9
httpd-2.0.40-21.3
gcc-3.2.2-5
libtool-1.4.3-5

ES3 server (failure):
[danno@icdb0 native]$ rpm -q httpd-devel httpd gcc libtool
httpd-devel-2.0.46-26.ent
httpd-2.0.46-26.ent
gcc-3.2.3-24
libtool-1.4.3-6






Version-Release number of selected component (if applicable):

see abovee

How reproducible:

always

Steps to Reproduce:
1.  see above
2.
3.
  
Actual results:

gcc error

Expected results:

modules compile

Additional info:

Comment 1 Dan Pritts 2004-03-09 22:53:03 UTC
Created attachment 98412 [details]
configure command line & make output

Comment 2 David Lawrence 2004-03-15 20:19:12 UTC
Changing product and version.

Comment 3 Dan Pritts 2004-03-15 20:34:40 UTC
This behavior was *not* on RHEL public beta - it was on a licensed
copy of RHEL.  I don't have software support, just updates, so i
assumed the only way to get this info to you was to file a bug here.

Comment 4 Joe Orton 2004-05-02 21:08:44 UTC
Marking as duplicate of bug 112771 - there was an issue with the
config_vars.mk file shipped in the httpd-devel package which was fixed
in an erratum update.  If not that, this is likely to be some other
mod_jk2 issue, not a libtool issue.

http://rhn.redhat.com/errata/RHSA-2004-084.html

*** This bug has been marked as a duplicate of 112771 ***

Comment 5 Paulo Matos 2004-08-24 18:48:44 UTC
There is still a problem on the file config_vars.mk.

At the bottom of the file, there are defined the variables
APR_INCLUDEDIR and APU_INCLUDEDIR, with erroneous locations.

Besides that (what really causes the error)
APR_INCLUDEDIR = /one/dir/ /other/dir

Which results on something like:

gcc ..... -I/one/dir /other/dir 

Giving the error of multiple compilations...



Comment 6 Joe Orton 2004-08-24 18:53:27 UTC
Paulo, can you file a new bug describing the issue you have and which
version of the httpd-devel package you are using?  APR_ and
APU_INCLUDEDIR should both be set to /usr/include/httpd in any recent
version of httpd.

# grep _INCLUDEDIR config_vars.mk
APR_INCLUDEDIR = /usr/include/httpd
APU_INCLUDEDIR = /usr/include/httpd


Comment 7 Red Hat Bugzilla 2006-02-21 19:01:53 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.